## tendermint-go-merkle 0.0~git20160312.0.05042c6

=== Makefile ===
.PHONY: get_deps build all list_deps install test

all: test

test:
	go test github.com/tendermint/go-merkle/...

get_deps:
	go get github.com/tendermint/go-merkle/...

=== debian/changelog ===
tendermint-go-merkle (0.0~git20160312.0.05042c6-1) unstable; urgency=medium

  * Initial release (Closes: #842940)

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Nov 2016 10:45:39 +0000

=== debian/control ===
Source: tendermint-go-merkle
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-golang,
 golang-any,
 golang-github-tendermint-go-common-dev,
 golang-github-tendermint-go-db-dev,
 golang-github-tendermint-go-wire-dev,
 golang-golang-x-crypto-dev
Standards-Version: 3.9.8
Homepage: https://github.com/tendermint/go-merkle
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/tendermint-go-merkle.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/tendermint-go-merkle.git
XS-Go-Import-Path: github.com/tendermint/go-merkle

Package: golang-github-tendermint-go-merkle-dev
Architecture: all
Depends:
 golang-github-tendermint-go-common-dev,
 golang-github-tendermint-go-db-dev,
 golang-github-tendermint-go-wire-dev,
 golang-golang-x-crypto-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Merkle-ized data structures with proofs
 This package provides two types of merkle trees:
  * IAVL+ Tree: A snapshottable (immutable) AVL+ tree for persistent
    data
  * A simple merkle tree for static dataIAVL+ tree; the purpose of
    this data structure is to provide persistent storage for
    key-value pairs (say to store account balances) such that a
    deterministic merkle root hash can be computed. The tree is
    balanced using a variant of the AVL algortihm so that all
    operations are O(log(n)).
 .
 This package provides a library used by Tendermint Core.
 .
 Tendermint Core is Byzantine Fault Tolerant (BFT) middleware
 that takes a state transition machine, written in any
 programming language, and replicates it on many machines.

## tendermint-go-merkle 0.1~20170131~0git7a86b44

=== Makefile ===
.PHONY: get_deps all bench test

all: test

test:
	go test -v -race `glide novendor`

bench:
	go test `glide novendor` -tags gcc -bench=.

get_deps:
	go get github.com/Masterminds/glide
	rm -rf ./vendor
	glide install

=== debian/changelog ===
tendermint-go-merkle (0.1~20170131~0git7a86b44-1) unstable; urgency=medium

  * Imported Upstream version 0.1~20170131~0git7a86b44
  * Add get-git-source.sh
  * Bump up build dep on tendermint-go-db
  * Add build dep on golang-github-stretchr-testify-dev
  * Do not install binaries in /usr/bin

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jan 2017 20:48:40 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  debhelper (>= 9),
  dh-golang,
  golang-any,
+ golang-github-stretchr-testify-dev,
  golang-github-tendermint-go-common-dev,
- golang-github-tendermint-go-db-dev,
+ golang-github-tendermint-go-db-dev (>= 0.1~20170131~0git72f6dac),
  golang-github-tendermint-go-wire-dev,
  golang-golang-x-crypto-dev
 Standards-Version: 3.9.8

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE_DIR = $(CURDIR)/debian/golang-github-tendermint-go-merkle-dev

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_install:
	rm $(PACKAGE_DIR)/usr/bin -rf
